package GestoreFrasi.java;

public class GestoreFrasi {
	private String testo;
	public int vocali;
	public int spazi;
	
	//Costruttore: Inizializza gli attributi
	public GestoreFrasi() {
		testo = "";
		vocali = 0;
		spazi = 0;
	}
	
	//Calcola il numero dei vocali e di spaci
	public void analizza(String t) {
		char carattere;
		
		this.testo = t;
		
		testo.toLowerCase();
		for(int i=0; i<testo.length(); i++) {
			carattere = testo.charAt(i);
			switch (carattere) {
				case 'a' :
				case 'e' :
				case 'i' :
				case 'o' : 
				case 'u' : vocali++;
					break;
				case ' ': spazi++;
					break;
			}
		}	
	}
	
	public double getFreqVocali() {
		double freqVocali;
		
		freqVocali = (double) vocali / testo.length()
;
		return arrotonda(freqVocali);
	}

	//Calcola la frequenza dei spazi
	public double getSreqSpazi() {
		double freqSpazi;
		
		freqSpazi = (double) spazi / testo.length()
;
		return arrotonda(freqSpazi);
	}
	
	//arrotonda a 2 cifre decimali
	private double arrotonda(double valore) {
		return (double) Math.round(valore * 100) /100;
	}
}
